.flow_header{
    border-bottom: solid 0.5rem var(--mainColor);
}

.flow_tab{
    display: flex;
    gap: 1.5rem;
}

.tab_btn {
    color: var(--mainColor);
    background: #eee;
    font-size: 3.2rem;
    font-weight: 700;
    text-align: center;
    border-radius: 1rem 1rem 0 0;
    padding: 1rem;
    flex: 1;
    cursor: pointer;
    transition: 0.3s;
}

.tab_btn.is-active,
.tab_btn:hover {
    color: #fff;
    background: var(--mainColor);
}

.flow_content{
    padding-top: 8rem;
}

.flow_inner {
    display: none;
    position: relative;
}

.flow_inner.is-active {
    display: flex;
    flex-flow: column;
    gap: 7rem;
    animation: smoothFadeIn 2s cubic-bezier(0.25, 1, 0.5, 1) forwards;
}

@keyframes smoothFadeIn {
    0% {
        opacity: 0;
        transform: translateY(1rem);
    }
    100% {
        opacity: 1;
        transform: translateY(0);
    }
}

.flow_inner::after{
    content: "";
    background: var(--mainColor);
    display: block;
    width: 0.3rem;
    height: 60rem;
    position: absolute;
    left: 5rem;
    top: 0rem;
    z-index: -1;
}

.flow_inner#tab-contract::after{
    height: 110rem;
}

.flow_item{
    display: flex;
    gap: 4rem;
}

.flow_step{
    color: #fff;
    background: var(--mainColor);
    font-size: 1.4rem;
    letter-spacing: 0;
    line-height: 1;
    width: 10rem;
    height: 10rem;
    border-radius: 50%;
    display: flex;
    flex-flow: column;
    align-items: center;
    justify-content: center;
    flex-shrink: 0;
}

.flow_step span{
    font-family: var(--fontEn);
    font-size: 4.6rem;
    font-weight: 700;
}

.flow_detail{
    background: var(--grad);
    padding: 3rem;
    border-radius: 1rem;
}

.flow_detail h3{
    color: var(--mainColor);
    font-size: 2.8rem;
    font-weight: 700;
    margin-bottom: 2rem;
}

@media (max-width: 1024px) {
    .flow_inner#tab-contract::after {
        height: 130rem;
    }
}

@media (max-width: 767px) {
    .flow_tab{
        gap: 1rem;
    }

    .tab_btn{
        font-size: 1.8rem;
        line-height: 1.4;
    }

    .flow_inner.is-active{
        gap: 4rem;
    }

    .flow_inner::after{
        height: 85rem;
        left: 3rem;
    }

    .flow_inner#tab-contract::after{
        height: 180rem;
    }

    .flow_item{
        gap: 1.5rem;
    }

    .flow_step{
        font-size: 1.2rem;
        width: 6rem;
        height: 6rem;
    }

    .flow_step span{
        font-size: 2.6rem;
        line-height: 1.1;
    }

    .flow_detail{
        padding: 3rem 2rem;
    }

    .flow_detail h3{
        font-size: 2rem;
        margin-bottom: 1.5rem;
    }

    .flow_detail p{
        letter-spacing: 0.04em;
    }


}